source: projects/vine-notify-update/Makefile.in @ 9739

Revision 9739, 25.0 KB checked in by tomop, 9 years ago (diff)

0.9.0

Line 
1# Makefile.in generated by automake 1.14.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# Makefile.am
18VPATH = @srcdir@
19am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
20am__make_running_with_option = \
21  case $${target_option-} in \
22      ?) ;; \
23      *) echo "am__make_running_with_option: internal error: invalid" \
24              "target option '$${target_option-}' specified" >&2; \
25         exit 1;; \
26  esac; \
27  has_opt=no; \
28  sane_makeflags=$$MAKEFLAGS; \
29  if $(am__is_gnu_make); then \
30    sane_makeflags=$$MFLAGS; \
31  else \
32    case $$MAKEFLAGS in \
33      *\\[\ \   ]*) \
34        bs=\\; \
35        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
36          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
37    esac; \
38  fi; \
39  skip_next=no; \
40  strip_trailopt () \
41  { \
42    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
43  }; \
44  for flg in $$sane_makeflags; do \
45    test $$skip_next = yes && { skip_next=no; continue; }; \
46    case $$flg in \
47      *=*|--*) continue;; \
48        -*I) strip_trailopt 'I'; skip_next=yes;; \
49      -*I?*) strip_trailopt 'I';; \
50        -*O) strip_trailopt 'O'; skip_next=yes;; \
51      -*O?*) strip_trailopt 'O';; \
52        -*l) strip_trailopt 'l'; skip_next=yes;; \
53      -*l?*) strip_trailopt 'l';; \
54      -[dEDm]) skip_next=yes;; \
55      -[JT]) skip_next=yes;; \
56    esac; \
57    case $$flg in \
58      *$$target_option*) has_opt=yes; break;; \
59    esac; \
60  done; \
61  test $$has_opt = yes
62am__make_dryrun = (target_option=n; $(am__make_running_with_option))
63am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
64pkgdatadir = $(datadir)/@PACKAGE@
65pkgincludedir = $(includedir)/@PACKAGE@
66pkglibdir = $(libdir)/@PACKAGE@
67pkglibexecdir = $(libexecdir)/@PACKAGE@
68am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
69install_sh_DATA = $(install_sh) -c -m 644
70install_sh_PROGRAM = $(install_sh) -c
71install_sh_SCRIPT = $(install_sh) -c
72INSTALL_HEADER = $(INSTALL_DATA)
73transform = $(program_transform_name)
74NORMAL_INSTALL = :
75PRE_INSTALL = :
76POST_INSTALL = :
77NORMAL_UNINSTALL = :
78PRE_UNINSTALL = :
79POST_UNINSTALL = :
80subdir = .
81DIST_COMMON = INSTALL NEWS README AUTHORS ChangeLog \
82        $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
83        $(top_srcdir)/configure $(am__configure_deps) \
84        $(srcdir)/config.h.in ABOUT-NLS COPYING compile config.rpath \
85        depcomp install-sh missing
86ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
87am__aclocal_m4_deps = $(top_srcdir)/configure.ac
88am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
89        $(ACLOCAL_M4)
90am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
91 configure.lineno config.status.lineno
92mkinstalldirs = $(install_sh) -d
93CONFIG_HEADER = config.h
94CONFIG_CLEAN_FILES =
95CONFIG_CLEAN_VPATH_FILES =
96AM_V_P = $(am__v_P_@AM_V@)
97am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
98am__v_P_0 = false
99am__v_P_1 = :
100AM_V_GEN = $(am__v_GEN_@AM_V@)
101am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
102am__v_GEN_0 = @echo "  GEN     " $@;
103am__v_GEN_1 =
104AM_V_at = $(am__v_at_@AM_V@)
105am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
106am__v_at_0 = @
107am__v_at_1 =
108SOURCES =
109DIST_SOURCES =
110RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
111        ctags-recursive dvi-recursive html-recursive info-recursive \
112        install-data-recursive install-dvi-recursive \
113        install-exec-recursive install-html-recursive \
114        install-info-recursive install-pdf-recursive \
115        install-ps-recursive install-recursive installcheck-recursive \
116        installdirs-recursive pdf-recursive ps-recursive \
117        tags-recursive uninstall-recursive
118am__can_run_installinfo = \
119  case $$AM_UPDATE_INFO_DIR in \
120    n|no|NO) false;; \
121    *) (install-info --version) >/dev/null 2>&1;; \
122  esac
123RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
124  distclean-recursive maintainer-clean-recursive
125am__recursive_targets = \
126  $(RECURSIVE_TARGETS) \
127  $(RECURSIVE_CLEAN_TARGETS) \
128  $(am__extra_recursive_targets)
129AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
130        cscope distdir dist dist-all distcheck
131am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
132        $(LISP)config.h.in
133# Read a list of newline-separated strings from the standard input,
134# and print each of them once, without duplicates.  Input order is
135# *not* preserved.
136am__uniquify_input = $(AWK) '\
137  BEGIN { nonempty = 0; } \
138  { items[$$0] = 1; nonempty = 1; } \
139  END { if (nonempty) { for (i in items) print i; }; } \
140'
141# Make sure the list of sources is unique.  This is necessary because,
142# e.g., the same source file might be shared among _SOURCES variables
143# for different programs/libraries.
144am__define_uniq_tagged_files = \
145  list='$(am__tagged_files)'; \
146  unique=`for i in $$list; do \
147    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
148  done | $(am__uniquify_input)`
149ETAGS = etags
150CTAGS = ctags
151CSCOPE = cscope
152DIST_SUBDIRS = $(SUBDIRS)
153DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
154distdir = $(PACKAGE)-$(VERSION)
155top_distdir = $(distdir)
156am__remove_distdir = \
157  if test -d "$(distdir)"; then \
158    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
159      && rm -rf "$(distdir)" \
160      || { sleep 5 && rm -rf "$(distdir)"; }; \
161  else :; fi
162am__post_remove_distdir = $(am__remove_distdir)
163am__relativize = \
164  dir0=`pwd`; \
165  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
166  sed_rest='s,^[^/]*/*,,'; \
167  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
168  sed_butlast='s,/*[^/]*$$,,'; \
169  while test -n "$$dir1"; do \
170    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
171    if test "$$first" != "."; then \
172      if test "$$first" = ".."; then \
173        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
174        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
175      else \
176        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
177        if test "$$first2" = "$$first"; then \
178          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
179        else \
180          dir2="../$$dir2"; \
181        fi; \
182        dir0="$$dir0"/"$$first"; \
183      fi; \
184    fi; \
185    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
186  done; \
187  reldir="$$dir2"
188GZIP_ENV = --best
189DIST_ARCHIVES = $(distdir).tar.bz2
190DIST_TARGETS = dist-bzip2
191distuninstallcheck_listfiles = find . -type f -print
192am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
193  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
194distcleancheck_listfiles = find . -type f -print
195ACLOCAL = @ACLOCAL@
196ALL_LINGUAS = @ALL_LINGUAS@
197AMTAR = @AMTAR@
198AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
199AUTOCONF = @AUTOCONF@
200AUTOHEADER = @AUTOHEADER@
201AUTOMAKE = @AUTOMAKE@
202AWK = @AWK@
203CATALOGS = @CATALOGS@
204CATOBJEXT = @CATOBJEXT@
205CC = @CC@
206CCDEPMODE = @CCDEPMODE@
207CFLAGS = @CFLAGS@
208CPP = @CPP@
209CPPFLAGS = @CPPFLAGS@
210CYGPATH_W = @CYGPATH_W@
211DATADIRNAME = @DATADIRNAME@
212DEFS = @DEFS@
213DEPDIR = @DEPDIR@
214ECHO_C = @ECHO_C@
215ECHO_N = @ECHO_N@
216ECHO_T = @ECHO_T@
217EGREP = @EGREP@
218EXEEXT = @EXEEXT@
219GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
220GMOFILES = @GMOFILES@
221GMSGFMT = @GMSGFMT@
222GREP = @GREP@
223INSTALL = @INSTALL@
224INSTALL_DATA = @INSTALL_DATA@
225INSTALL_PROGRAM = @INSTALL_PROGRAM@
226INSTALL_SCRIPT = @INSTALL_SCRIPT@
227INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
228INSTOBJEXT = @INSTOBJEXT@
229INTLLIBS = @INTLLIBS@
230INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
231INTLTOOL_MERGE = @INTLTOOL_MERGE@
232INTLTOOL_PERL = @INTLTOOL_PERL@
233INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
234INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
235INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
236INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
237INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
238LDFLAGS = @LDFLAGS@
239LIBOBJS = @LIBOBJS@
240LIBS = @LIBS@
241LTLIBOBJS = @LTLIBOBJS@
242MAINT = @MAINT@
243MAKEINFO = @MAKEINFO@
244MKDIR_P = @MKDIR_P@
245MKINSTALLDIRS = @MKINSTALLDIRS@
246MSGFMT = @MSGFMT@
247MSGFMT_OPTS = @MSGFMT_OPTS@
248MSGMERGE = @MSGMERGE@
249OBJEXT = @OBJEXT@
250PACKAGE = @PACKAGE@
251PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
252PACKAGE_NAME = @PACKAGE_NAME@
253PACKAGE_STRING = @PACKAGE_STRING@
254PACKAGE_TARNAME = @PACKAGE_TARNAME@
255PACKAGE_URL = @PACKAGE_URL@
256PACKAGE_VERSION = @PACKAGE_VERSION@
257PATH_SEPARATOR = @PATH_SEPARATOR@
258PKG_CONFIG = @PKG_CONFIG@
259PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
260PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
261POFILES = @POFILES@
262POSUB = @POSUB@
263PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
264PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
265SET_MAKE = @SET_MAKE@
266SHELL = @SHELL@
267STRIP = @STRIP@
268USE_NLS = @USE_NLS@
269VALAC = @VALAC@
270VERSION = @VERSION@
271VINE_NOTIFY_UPDATE_CFLAGS = @VINE_NOTIFY_UPDATE_CFLAGS@
272VINE_NOTIFY_UPDATE_LIBS = @VINE_NOTIFY_UPDATE_LIBS@
273VINE_NOTIFY_UPDATE_PACKAGES = @VINE_NOTIFY_UPDATE_PACKAGES@
274XGETTEXT = @XGETTEXT@
275abs_builddir = @abs_builddir@
276abs_srcdir = @abs_srcdir@
277abs_top_builddir = @abs_top_builddir@
278abs_top_srcdir = @abs_top_srcdir@
279ac_ct_CC = @ac_ct_CC@
280am__include = @am__include@
281am__leading_dot = @am__leading_dot@
282am__quote = @am__quote@
283am__tar = @am__tar@
284am__untar = @am__untar@
285bindir = @bindir@
286build_alias = @build_alias@
287builddir = @builddir@
288datadir = @datadir@
289datarootdir = @datarootdir@
290docdir = @docdir@
291dvidir = @dvidir@
292exec_prefix = @exec_prefix@
293host_alias = @host_alias@
294htmldir = @htmldir@
295includedir = @includedir@
296infodir = @infodir@
297install_sh = @install_sh@
298intltool__v_merge_options_ = @intltool__v_merge_options_@
299intltool__v_merge_options_0 = @intltool__v_merge_options_0@
300libdir = @libdir@
301libexecdir = @libexecdir@
302localedir = @localedir@
303localstatedir = @localstatedir@
304mandir = @mandir@
305mkdir_p = @mkdir_p@
306oldincludedir = @oldincludedir@
307pdfdir = @pdfdir@
308prefix = @prefix@
309program_transform_name = @program_transform_name@
310psdir = @psdir@
311sbindir = @sbindir@
312sharedstatedir = @sharedstatedir@
313srcdir = @srcdir@
314sysconfdir = @sysconfdir@
315target_alias = @target_alias@
316top_build_prefix = @top_build_prefix@
317top_builddir = @top_builddir@
318top_srcdir = @top_srcdir@
319SUBDIRS = \
320        src \
321        po \
322        data
323
324EXTRA_DIST = \
325        intltool-extract.in \
326        intltool-merge.in \
327        intltool-update.in
328
329DISTCLEANFILES = \
330        intltool-extract \
331        intltool-merge \
332        intltool-update
333
334all: config.h
335        $(MAKE) $(AM_MAKEFLAGS) all-recursive
336
337.SUFFIXES:
338am--refresh: Makefile
339        @:
340$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
341        @for dep in $?; do \
342          case '$(am__configure_deps)' in \
343            *$$dep*) \
344              echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
345              $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
346                && exit 0; \
347              exit 1;; \
348          esac; \
349        done; \
350        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
351        $(am__cd) $(top_srcdir) && \
352          $(AUTOMAKE) --gnu Makefile
353.PRECIOUS: Makefile
354Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
355        @case '$?' in \
356          *config.status*) \
357            echo ' $(SHELL) ./config.status'; \
358            $(SHELL) ./config.status;; \
359          *) \
360            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
361            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
362        esac;
363
364$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
365        $(SHELL) ./config.status --recheck
366
367$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
368        $(am__cd) $(srcdir) && $(AUTOCONF)
369$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
370        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
371$(am__aclocal_m4_deps):
372
373config.h: stamp-h1
374        @test -f $@ || rm -f stamp-h1
375        @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
376
377stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
378        @rm -f stamp-h1
379        cd $(top_builddir) && $(SHELL) ./config.status config.h
380$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
381        ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
382        rm -f stamp-h1
383        touch $@
384
385distclean-hdr:
386        -rm -f config.h stamp-h1
387
388# This directory's subdirectories are mostly independent; you can cd
389# into them and run 'make' without going through this Makefile.
390# To change the values of 'make' variables: instead of editing Makefiles,
391# (1) if the variable is set in 'config.status', edit 'config.status'
392#     (which will cause the Makefiles to be regenerated when you run 'make');
393# (2) otherwise, pass the desired values on the 'make' command line.
394$(am__recursive_targets):
395        @fail=; \
396        if $(am__make_keepgoing); then \
397          failcom='fail=yes'; \
398        else \
399          failcom='exit 1'; \
400        fi; \
401        dot_seen=no; \
402        target=`echo $@ | sed s/-recursive//`; \
403        case "$@" in \
404          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
405          *) list='$(SUBDIRS)' ;; \
406        esac; \
407        for subdir in $$list; do \
408          echo "Making $$target in $$subdir"; \
409          if test "$$subdir" = "."; then \
410            dot_seen=yes; \
411            local_target="$$target-am"; \
412          else \
413            local_target="$$target"; \
414          fi; \
415          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
416          || eval $$failcom; \
417        done; \
418        if test "$$dot_seen" = "no"; then \
419          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
420        fi; test -z "$$fail"
421
422ID: $(am__tagged_files)
423        $(am__define_uniq_tagged_files); mkid -fID $$unique
424tags: tags-recursive
425TAGS: tags
426
427tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
428        set x; \
429        here=`pwd`; \
430        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
431          include_option=--etags-include; \
432          empty_fix=.; \
433        else \
434          include_option=--include; \
435          empty_fix=; \
436        fi; \
437        list='$(SUBDIRS)'; for subdir in $$list; do \
438          if test "$$subdir" = .; then :; else \
439            test ! -f $$subdir/TAGS || \
440              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
441          fi; \
442        done; \
443        $(am__define_uniq_tagged_files); \
444        shift; \
445        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
446          test -n "$$unique" || unique=$$empty_fix; \
447          if test $$# -gt 0; then \
448            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
449              "$$@" $$unique; \
450          else \
451            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
452              $$unique; \
453          fi; \
454        fi
455ctags: ctags-recursive
456
457CTAGS: ctags
458ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
459        $(am__define_uniq_tagged_files); \
460        test -z "$(CTAGS_ARGS)$$unique" \
461          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
462             $$unique
463
464GTAGS:
465        here=`$(am__cd) $(top_builddir) && pwd` \
466          && $(am__cd) $(top_srcdir) \
467          && gtags -i $(GTAGS_ARGS) "$$here"
468cscope: cscope.files
469        test ! -s cscope.files \
470          || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
471clean-cscope:
472        -rm -f cscope.files
473cscope.files: clean-cscope cscopelist
474cscopelist: cscopelist-recursive
475
476cscopelist-am: $(am__tagged_files)
477        list='$(am__tagged_files)'; \
478        case "$(srcdir)" in \
479          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
480          *) sdir=$(subdir)/$(srcdir) ;; \
481        esac; \
482        for i in $$list; do \
483          if test -f "$$i"; then \
484            echo "$(subdir)/$$i"; \
485          else \
486            echo "$$sdir/$$i"; \
487          fi; \
488        done >> $(top_builddir)/cscope.files
489
490distclean-tags:
491        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
492        -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
493
494distdir: $(DISTFILES)
495        $(am__remove_distdir)
496        test -d "$(distdir)" || mkdir "$(distdir)"
497        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
498        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
499        list='$(DISTFILES)'; \
500          dist_files=`for file in $$list; do echo $$file; done | \
501          sed -e "s|^$$srcdirstrip/||;t" \
502              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
503        case $$dist_files in \
504          */*) $(MKDIR_P) `echo "$$dist_files" | \
505                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
506                           sort -u` ;; \
507        esac; \
508        for file in $$dist_files; do \
509          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
510          if test -d $$d/$$file; then \
511            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
512            if test -d "$(distdir)/$$file"; then \
513              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
514            fi; \
515            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
516              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
517              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
518            fi; \
519            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
520          else \
521            test -f "$(distdir)/$$file" \
522            || cp -p $$d/$$file "$(distdir)/$$file" \
523            || exit 1; \
524          fi; \
525        done
526        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
527          if test "$$subdir" = .; then :; else \
528            $(am__make_dryrun) \
529              || test -d "$(distdir)/$$subdir" \
530              || $(MKDIR_P) "$(distdir)/$$subdir" \
531              || exit 1; \
532            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
533            $(am__relativize); \
534            new_distdir=$$reldir; \
535            dir1=$$subdir; dir2="$(top_distdir)"; \
536            $(am__relativize); \
537            new_top_distdir=$$reldir; \
538            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
539            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
540            ($(am__cd) $$subdir && \
541              $(MAKE) $(AM_MAKEFLAGS) \
542                top_distdir="$$new_top_distdir" \
543                distdir="$$new_distdir" \
544                am__remove_distdir=: \
545                am__skip_length_check=: \
546                am__skip_mode_fix=: \
547                distdir) \
548              || exit 1; \
549          fi; \
550        done
551        -test -n "$(am__skip_mode_fix)" \
552        || find "$(distdir)" -type d ! -perm -755 \
553                -exec chmod u+rwx,go+rx {} \; -o \
554          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
555          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
556          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
557        || chmod -R a+r "$(distdir)"
558dist-gzip: distdir
559        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
560        $(am__post_remove_distdir)
561dist-bzip2: distdir
562        tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
563        $(am__post_remove_distdir)
564
565dist-lzip: distdir
566        tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
567        $(am__post_remove_distdir)
568
569dist-xz: distdir
570        tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
571        $(am__post_remove_distdir)
572
573dist-tarZ: distdir
574        @echo WARNING: "Support for shar distribution archives is" \
575                       "deprecated." >&2
576        @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
577        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
578        $(am__post_remove_distdir)
579
580dist-shar: distdir
581        @echo WARNING: "Support for distribution archives compressed with" \
582                       "legacy program 'compress' is deprecated." >&2
583        @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
584        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
585        $(am__post_remove_distdir)
586
587dist-zip: distdir
588        -rm -f $(distdir).zip
589        zip -rq $(distdir).zip $(distdir)
590        $(am__post_remove_distdir)
591
592dist dist-all:
593        $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
594        $(am__post_remove_distdir)
595
596# This target untars the dist file and tries a VPATH configuration.  Then
597# it guarantees that the distribution is self-contained by making another
598# tarfile.
599distcheck: dist
600        case '$(DIST_ARCHIVES)' in \
601        *.tar.gz*) \
602          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
603        *.tar.bz2*) \
604          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
605        *.tar.lz*) \
606          lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
607        *.tar.xz*) \
608          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
609        *.tar.Z*) \
610          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
611        *.shar.gz*) \
612          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
613        *.zip*) \
614          unzip $(distdir).zip ;;\
615        esac
616        chmod -R a-w $(distdir)
617        chmod u+w $(distdir)
618        mkdir $(distdir)/_build $(distdir)/_inst
619        chmod a-w $(distdir)
620        test -d $(distdir)/_build || exit 0; \
621        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
622          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
623          && am__cwd=`pwd` \
624          && $(am__cd) $(distdir)/_build \
625          && ../configure \
626            $(AM_DISTCHECK_CONFIGURE_FLAGS) \
627            $(DISTCHECK_CONFIGURE_FLAGS) \
628            --srcdir=.. --prefix="$$dc_install_base" \
629          && $(MAKE) $(AM_MAKEFLAGS) \
630          && $(MAKE) $(AM_MAKEFLAGS) dvi \
631          && $(MAKE) $(AM_MAKEFLAGS) check \
632          && $(MAKE) $(AM_MAKEFLAGS) install \
633          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
634          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
635          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
636                distuninstallcheck \
637          && chmod -R a-w "$$dc_install_base" \
638          && ({ \
639               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
640               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
641               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
642               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
643                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
644              } || { rm -rf "$$dc_destdir"; exit 1; }) \
645          && rm -rf "$$dc_destdir" \
646          && $(MAKE) $(AM_MAKEFLAGS) dist \
647          && rm -rf $(DIST_ARCHIVES) \
648          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
649          && cd "$$am__cwd" \
650          || exit 1
651        $(am__post_remove_distdir)
652        @(echo "$(distdir) archives ready for distribution: "; \
653          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
654          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
655distuninstallcheck:
656        @test -n '$(distuninstallcheck_dir)' || { \
657          echo 'ERROR: trying to run $@ with an empty' \
658               '$$(distuninstallcheck_dir)' >&2; \
659          exit 1; \
660        }; \
661        $(am__cd) '$(distuninstallcheck_dir)' || { \
662          echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
663          exit 1; \
664        }; \
665        test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
666           || { echo "ERROR: files left after uninstall:" ; \
667                if test -n "$(DESTDIR)"; then \
668                  echo "  (check DESTDIR support)"; \
669                fi ; \
670                $(distuninstallcheck_listfiles) ; \
671                exit 1; } >&2
672distcleancheck: distclean
673        @if test '$(srcdir)' = . ; then \
674          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
675          exit 1 ; \
676        fi
677        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
678          || { echo "ERROR: files left in build directory after distclean:" ; \
679               $(distcleancheck_listfiles) ; \
680               exit 1; } >&2
681check-am: all-am
682check: check-recursive
683all-am: Makefile config.h
684installdirs: installdirs-recursive
685installdirs-am:
686install: install-recursive
687install-exec: install-exec-recursive
688install-data: install-data-recursive
689uninstall: uninstall-recursive
690
691install-am: all-am
692        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
693
694installcheck: installcheck-recursive
695install-strip:
696        if test -z '$(STRIP)'; then \
697          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
698            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
699              install; \
700        else \
701          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
702            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
703            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
704        fi
705mostlyclean-generic:
706
707clean-generic:
708
709distclean-generic:
710        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
711        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
712        -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
713
714maintainer-clean-generic:
715        @echo "This command is intended for maintainers to use"
716        @echo "it deletes files that may require special tools to rebuild."
717clean: clean-recursive
718
719clean-am: clean-generic mostlyclean-am
720
721distclean: distclean-recursive
722        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
723        -rm -f Makefile
724distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
725
726dvi: dvi-recursive
727
728dvi-am:
729
730html: html-recursive
731
732html-am:
733
734info: info-recursive
735
736info-am:
737
738install-data-am:
739
740install-dvi: install-dvi-recursive
741
742install-dvi-am:
743
744install-exec-am:
745
746install-html: install-html-recursive
747
748install-html-am:
749
750install-info: install-info-recursive
751
752install-info-am:
753
754install-man:
755
756install-pdf: install-pdf-recursive
757
758install-pdf-am:
759
760install-ps: install-ps-recursive
761
762install-ps-am:
763
764installcheck-am:
765
766maintainer-clean: maintainer-clean-recursive
767        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
768        -rm -rf $(top_srcdir)/autom4te.cache
769        -rm -f Makefile
770maintainer-clean-am: distclean-am maintainer-clean-generic
771
772mostlyclean: mostlyclean-recursive
773
774mostlyclean-am: mostlyclean-generic
775
776pdf: pdf-recursive
777
778pdf-am:
779
780ps: ps-recursive
781
782ps-am:
783
784uninstall-am:
785
786.MAKE: $(am__recursive_targets) all install-am install-strip
787
788.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
789        am--refresh check check-am clean clean-cscope clean-generic \
790        cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
791        dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
792        distcheck distclean distclean-generic distclean-hdr \
793        distclean-tags distcleancheck distdir distuninstallcheck dvi \
794        dvi-am html html-am info info-am install install-am \
795        install-data install-data-am install-dvi install-dvi-am \
796        install-exec install-exec-am install-html install-html-am \
797        install-info install-info-am install-man install-pdf \
798        install-pdf-am install-ps install-ps-am install-strip \
799        installcheck installcheck-am installdirs installdirs-am \
800        maintainer-clean maintainer-clean-generic mostlyclean \
801        mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
802        uninstall-am
803
804
805# Tell versions [3.59,3.63) of GNU make to not export all variables.
806# Otherwise a system limit (for SysV at least) may be exceeded.
807.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.